# RecursiveIteratorIterator::getMaxDepth

(PHP 5 >= 5.1.0, PHP 7)

RecursiveIteratorIterator::getMaxDepth — Get max depth

### Description

public RecursiveIteratorIterator::getMaxDepth ( void ) : mixed

Gets the maximum allowable depth.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

The maximum accepted depth, or `FALSE` if any depth is allowed.

### See Also

- RecursiveIteratorIterator::setMaxDepth() - Set max depth